﻿using System;

namespace NTmdb.Abstraction
{
    /// <summary>
    ///     Interface representing the result of a TMDb API call.
    /// </summary>
    public interface IApiCallResult
    {
        /// <summary>
        ///     Gets or sets the URL of the API call.
        /// </summary>
        /// <value>The URL of the API call.</value>
        String SourceUrl { get; set; }

        /// <summary>
        ///     Get or sets the JSON returned by the TMDb API.
        /// </summary>
        /// <value>The JSON returned by the TMDb API.</value>
        String Json { get; set; }

        /// <summary>
        ///     Gets or sets the exception which is occurred during the API call.
        ///     (If one is occurred).
        /// </summary> 
        /// <value>The error occurred during the APi call, or null.</value>
        Exception Error { get; set; }
    }
}