﻿using System;
using System.Threading.Tasks;

namespace NTmdb.Abstraction
{
    /// <summary>
    ///     Interface representing the type which will load the JSON from the TMDb.
    /// </summary>
    /// <remarks>
    ///     Interface is needed because of Portable Class Libraries doesn't support HttpRequests.
    /// </remarks>
    public interface IApiClient
    {
        /// <summary>
        ///     Loads the JSON from the TMDb API.
        /// </summary>
        /// <param name="url">The URL to the TMDb API.</param>
        /// <returns>The result of the API call.</returns>
        Task<IApiCallResult> GetJsonAsync(String url);
    }
}