﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using NTmdb.Fakes;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbFilterOperatorExtensionTest and is intended
    ///     to contain all TmdbFilterOperatorExtensionTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbFilterOperatorExtensionTest
    {
        /// <summary>
        ///     A test for ToTmdbParameter
        /// </summary>
        [TestMethod]
        public void ToTmdbParameterTest()
        {
            IApiConfiguration apiConfiguration = new StubIApiConfiguration();
            apiConfiguration.AndChar = Guid.NewGuid().ToString();
            apiConfiguration.OrChar = Guid.NewGuid().ToString();

            Assert.AreEqual( apiConfiguration.AndChar,
                             TmdbFilterOperator.And.ToTmdbParameter( apiConfiguration ) );

            Assert.AreEqual( apiConfiguration.OrChar,
                             TmdbFilterOperator.Or.ToTmdbParameter( apiConfiguration ) );
        }
    }
}