﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using NTmdb.Fakes;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbPersonMethodExtensionTest and is intended
    ///     to contain all TmdbPersonMethodExtensionTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbPersonMethodExtensionTest
    {
        /// <summary>
        ///     A test for ToTmdbParameter
        /// </summary>
        [TestMethod]
        public void ToTmdbParameterTest()
        {
            IApiConfiguration apiConfiguration = new StubIApiConfiguration();
            apiConfiguration.AppendToPersonMethodCredits = Guid.NewGuid().ToString();
            apiConfiguration.AppendToPersonMethodImages = Guid.NewGuid().ToString();
            apiConfiguration.AppendToPersonMethodChanges = Guid.NewGuid().ToString();

            Assert.AreEqual( apiConfiguration.AppendToPersonMethodCredits,
                             TmdbPersonMethod.Credits.ToTmdbParameter( apiConfiguration ) );

            Assert.AreEqual( apiConfiguration.AppendToPersonMethodImages,
                             TmdbPersonMethod.Images.ToTmdbParameter( apiConfiguration ) );

            Assert.AreEqual( apiConfiguration.AppendToPersonMethodChanges,
                             TmdbPersonMethod.Changes.ToTmdbParameter( apiConfiguration ) );
        }
    }
}