﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using NTmdb.Fakes;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbSearchTypeExtensionTest and is intended
    ///     to contain all TmdbSearchTypeExtensionTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbSearchTypeExtensionTest
    {
        /// <summary>
        ///     A test for ToTmdbParameter
        /// </summary>
        [TestMethod]
        public void ToTmdbParameterTest()
        {
            IApiConfiguration apiConfiguration = new StubIApiConfiguration();
            apiConfiguration.SearchTypePhrase = Guid.NewGuid().ToString();
            apiConfiguration.SearchTypeNgram = Guid.NewGuid().ToString();

            Assert.AreEqual( apiConfiguration.SearchTypePhrase,
                             TmdbSearchType.Phrase.ToTmdbParameter( apiConfiguration ) );
            Assert.AreEqual( apiConfiguration.SearchTypeNgram,
                             TmdbSearchType.Ngram.ToTmdbParameter( apiConfiguration ) );
        }
    }
}