﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using NTmdb.Fakes;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbSortOrderExtensionTest and is intended
    ///     to contain all TmdbSortOrderExtensionTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbSortOrderExtensionTest
    {
        /// <summary>
        ///     A test for ToTmdbParameter
        /// </summary>
        [TestMethod]
        public void ToTmdbParameterTest()
        {
            IApiConfiguration apiConfiguration = new StubIApiConfiguration();
            apiConfiguration.SortOrderAscending = Guid.NewGuid().ToString();
            apiConfiguration.SortOrderDescending = Guid.NewGuid().ToString();

            Assert.AreEqual( apiConfiguration.SortOrderAscending,
                             TmdbSortOrder.Ascending.ToTmdbParameter( apiConfiguration ) );
            Assert.AreEqual( apiConfiguration.SortOrderDescending,
                             TmdbSortOrder.Descending.ToTmdbParameter( apiConfiguration ) );
        }
    }
}