﻿using System;
using System.Net;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for ApiCallResultTest and is intended
    ///     to contain all ApiCallResultTest Unit Tests
    /// </summary>
    [TestClass]
    public class ApiCallResultTest
    {
        /// <summary>
        ///     A test for ApiCallResult Constructor
        /// </summary>
        [TestMethod]
        public void ApiCallResultConstructorTest()
        {
            var target = new ApiCallResult();
            Assert.IsNotNull( target );
        }

        /// <summary>
        ///     A test for ETag
        /// </summary>
        [TestMethod]
        public void ETagTest()
        {
            var target = new ApiCallResult();
            string expected = Guid.NewGuid().ToString();
            target.ETag = expected;
            string actual = target.ETag;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Error
        /// </summary>
        [TestMethod]
        public void ErrorTest()
        {
            var target = new ApiCallResult();
            Exception expected = new WebException();
            target.Error = expected;
            var actual = target.Error;
            Assert.AreSame( expected, actual );
        }

        /// <summary>
        ///     A test for Json
        /// </summary>
        [TestMethod]
        public void JsonTest()
        {
            var target = new ApiCallResult();
            string expected = Guid.NewGuid().ToString();
            target.Json = expected;
            string actual = target.Json;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for SourceUrl
        /// </summary>
        [TestMethod]
        public void SourceUrlTest()
        {
            var target = new ApiCallResult();
            string expected = Guid.NewGuid().ToString();
            target.SourceUrl = expected;
            string actual = target.SourceUrl;
            Assert.AreEqual( expected, actual );
        }
    }
}