﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbResultTest and is intended
    ///     to contain all TmdbResultTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbResultTest
    {
        [TestMethod]
        public void ApiErrorResponseTest()
        {
            var target = new TmdbResult<String>();
            target.ApiErrorResponse = new TmdbStatusResponse();
            var actual = target.ApiErrorResponse;
            Assert.AreSame( target.ApiErrorResponse, actual );
        }

        [TestMethod]
        public void ErrorTest()
        {
            var target = new TmdbResult<String>();
            target.Error = new ArgumentException();
            var actual = target.Error;
            Assert.AreSame( target.Error, actual );
        }

        [TestMethod]
        public void ResultTest()
        {
            var target = new TmdbResult<String>();
            target.Result = Guid.NewGuid().ToString();
            var actual = target.Result;
            Assert.AreSame( target.Result, actual );
        }
    }
}