﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbPersonBaseTest and is intended
    ///     to contain all TmdbPersonBaseTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbPersonBaseTest
    {
        /// <summary>
        ///     A test for TmdbPersonBase Constructor
        /// </summary>
        [TestMethod]
        public void TmdbPersonBaseConstructorTest()
        {
            var target = new TmdbPersonBase();
            Assert.IsNotNull( target );
        }

        /// <summary>
        ///     A test for Id
        /// </summary>
        [TestMethod]
        public void IdTest()
        {
            var target = new TmdbPersonBase();
            int expected = new Random().Next( 0, Int32.MaxValue );
            target.Id = expected;
            int actual = target.Id;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Name
        /// </summary>
        [TestMethod]
        public void NameTest()
        {
            var target = new TmdbPersonBase();
            string expected = Guid.NewGuid().ToString();
            target.Name = expected;
            string actual = target.Name;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for ProfilePath
        /// </summary>
        [TestMethod]
        public void ProfilePathTest()
        {
            var target = new TmdbPersonBase();
            string expected = Guid.NewGuid().ToString();
            target.ProfilePath = expected;
            string actual = target.ProfilePath;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Serialize & Deserialize
        /// </summary>
        [TestMethod]
        public void SerializeDeserializeTest()
        {
            Assert.Inconclusive();
        }
    }
}