﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbChangeItemTest and is intended
    ///     to contain all TmdbChangeItemTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbChangeItemTest
    {
        /// <summary>
        ///     A test for TmdbChangeItem Constructor
        /// </summary>
        [TestMethod]
        public void TmdbChangeItemConstructorTest()
        {
            var target = new TmdbChangeItem();
            Assert.IsNotNull( target );
        }

        /// <summary>
        ///     A test for Action
        /// </summary>
        [TestMethod]
        public void ActionTest()
        {
            var target = new TmdbChangeItem();
            string expected = Guid.NewGuid().ToString();
            target.Action = expected;
            string actual = target.Action;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Id
        /// </summary>
        [TestMethod]
        public void IdTest()
        {
            var target = new TmdbChangeItem();
            string expected = Guid.NewGuid().ToString();
            target.Id = expected;
            string actual = target.Id;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Iso639_1
        /// </summary>
        [TestMethod]
        public void Iso639_1Test()
        {
            var target = new TmdbChangeItem();
            string expected = Guid.NewGuid().ToString();
            target.Iso639_1 = expected;
            string actual = target.Iso639_1;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for OriginalValue
        /// </summary>
        [TestMethod]
        public void OriginalValueTest()
        {
            var target = new TmdbChangeItem();
            object expected = true;
            target.OriginalValue = expected;
            var actual = target.OriginalValue;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Time
        /// </summary>
        [TestMethod]
        public void TimeTest()
        {
            var target = new TmdbChangeItem();
            string expected = Guid.NewGuid().ToString();
            target.Time = expected;
            string actual = target.Time;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Value
        /// </summary>
        [TestMethod]
        public void ValueTest()
        {
            var target = new TmdbChangeItem();
            object expected = Guid.NewGuid().ToString();
            target.Value = expected;
            var actual = target.Value;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Serialize & Deserialize
        /// </summary>
        [TestMethod]
        public void SerializeDeserializeTest()
        {
            Assert.Inconclusive();
        }
    }
}