﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbMovieCollectionPartTest and is intended
    ///     to contain all TmdbMovieCollectionPartTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbMovieCollectionPartTest
    {
        /// <summary>
        ///     A test for TmdbMovieCollectionPart Constructor
        /// </summary>
        [TestMethod]
        public void TmdbMovieCollectionPartConstructorTest()
        {
            var target = new TmdbMovieCollectionPart();
            Assert.IsNotNull( target );
        }

        /// <summary>
        ///     A test for BackdropPath
        /// </summary>
        [TestMethod]
        public void BackdropPathTest()
        {
            var target = new TmdbMovieCollectionPart();
            string expected = Guid.NewGuid().ToString();
            target.BackdropPath = expected;
            string actual = target.BackdropPath;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Id
        /// </summary>
        [TestMethod]
        public void IdTest()
        {
            var target = new TmdbMovieCollectionPart();
            int expected = new Random().Next( 0, Int32.MaxValue );
            target.Id = expected;
            int actual = target.Id;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for PosterPath
        /// </summary>
        [TestMethod]
        public void PosterPathTest()
        {
            var target = new TmdbMovieCollectionPart();
            string expected = Guid.NewGuid().ToString();
            target.PosterPath = expected;
            string actual = target.PosterPath;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for ReleaseDateString
        /// </summary>
        [TestMethod]
        public void ReleaseDateStringTest()
        {
            var target = new TmdbMovieCollectionPart();
            string expected = Guid.NewGuid().ToString();
            target.ReleaseDateString = expected;
            string actual = target.ReleaseDateString;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Title
        /// </summary>
        [TestMethod]
        public void TitleTest()
        {
            var target = new TmdbMovieCollectionPart();
            string expected = Guid.NewGuid().ToString();
            target.Title = expected;
            string actual = target.Title;
            Assert.AreEqual( expected, actual );
        }
    }
}