﻿using System;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbMovieCollectionTest and is intended
    ///     to contain all TmdbMovieCollectionTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbMovieCollectionTest
    {
        /// <summary>
        ///     A test for TmdbMovieCollection Constructor
        /// </summary>
        [TestMethod]
        public void TmdbMovieCollectionConstructorTest()
        {
            var target = new TmdbMovieCollection();
            Assert.IsNotNull( target );
        }

        /// <summary>
        ///     A test for BackdropPath
        /// </summary>
        [TestMethod]
        public void BackdropPathTest()
        {
            var target = new TmdbMovieCollection();
            string expected = Guid.NewGuid().ToString();
            target.BackdropPath = expected;
            string actual = target.BackdropPath;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Id
        /// </summary>
        [TestMethod]
        public void IdTest()
        {
            var target = new TmdbMovieCollection();
            int expected = new Random().Next( 0, Int32.MaxValue );
            target.Id = expected;
            int actual = target.Id;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Images
        /// </summary>
        [TestMethod]
        public void ImagesTest()
        {
            var target = new TmdbMovieCollection();
            var expected = new TmdbCollectionImages();
            target.Images = expected;
            var actual = target.Images;
            Assert.AreSame( expected, actual );
        }

        /// <summary>
        ///     A test for Movies
        /// </summary>
        [TestMethod]
        public void MoviesTest()
        {
            var target = new TmdbMovieCollection();
            var expected = new List<TmdbMovieCollectionPart>();
            target.Movies = expected;
            var actual = target.Movies;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Name
        /// </summary>
        [TestMethod]
        public void NameTest()
        {
            var target = new TmdbMovieCollection();
            string expected = Guid.NewGuid().ToString();
            target.Name = expected;
            string actual = target.Name;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for PosterPath
        /// </summary>
        [TestMethod]
        public void PosterPathTest()
        {
            var target = new TmdbMovieCollection();
            string expected = Guid.NewGuid().ToString();
            target.PosterPath = expected;
            string actual = target.PosterPath;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Serialize & Deserialize
        /// </summary>
        [TestMethod]
        public void SerializeDeserializeTest()
        {
            Assert.Inconclusive();
        }
    }
}