﻿using System;
using System.IO;
using System.Threading.Tasks;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbCompanyBasicTest and is intended
    ///     to contain all TmdbCompanyBasicTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbCompanyBasicTest
    {
        /// <summary>
        ///     A test for TmdbCompanyBasic Constructor
        /// </summary>
        [TestMethod]
        public void TmdbCompanyBasicConstructorTest()
        {
            var target = new TmdbCompanyBasic();
            Assert.IsNotNull( target );
        }

        /// <summary>
        ///     A test for Id
        /// </summary>
        [TestMethod]
        public void IdTest()
        {
            var target = new TmdbCompanyBasic();
            int expected = new Random().Next( 0, Int32.MaxValue );
            target.Id = expected;
            int actual = target.Id;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Name
        /// </summary>
        [TestMethod]
        public void NameTest()
        {
            var target = new TmdbCompanyBasic();
            string expected = Guid.NewGuid().ToString();
            target.Name = expected;
            string actual = target.Name;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Serialize & Deserialize
        /// </summary>
        [TestMethod]
        [DeploymentItem(@"..\..\TestData\basicCompany.json.txt")]
        public async Task SerializeDeserializeTest()
        {
            var target = new TmdbCompanyBasic();
            var jsonContent = File.ReadAllText("basicCompany.json.txt");
            var actual = await target.DeserializeJson<TmdbCompanyBasic>(jsonContent);

            Assert.AreEqual(10, actual.Id);
            Assert.AreEqual("Screengame", actual.Name);
        }
    }
}