﻿using System;
using System.IO;
using System.Threading.Tasks;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbGenreTest and is intended
    ///     to contain all TmdbGenreTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbGenreTest
    {
        /// <summary>
        ///     A test for TmdbGenre Constructor
        /// </summary>
        [TestMethod]
        public void TmdbGenreConstructorTest()
        {
            var target = new TmdbGenre();
            Assert.IsNotNull( target );
        }

        /// <summary>
        ///     A test for Id
        /// </summary>
        [TestMethod]
        public void IdTest()
        {
            var target = new TmdbGenre();
            int expected = new Random().Next( 0, Int32.MaxValue );
            target.Id = expected;
            int actual = target.Id;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Name
        /// </summary>
        [TestMethod]
        public void NameTest()
        {
            var target = new TmdbGenre();
            string expected = Guid.NewGuid().ToString();
            target.Name = expected;
            string actual = target.Name;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Serialize & Deserialize
        /// </summary>
        [TestMethod]
        [DeploymentItem(@"..\..\TestData\genre.json.txt")]
        public async Task SerializeDeserializeTest()
        {
            var target = new TmdbGenre();
            var jsonContent = File.ReadAllText("genre.json.txt");
            var actual = await target.DeserializeJson<TmdbGenre>(jsonContent);

            Assert.AreEqual(12, actual.Id);
            Assert.AreEqual("Adventure", actual.Name);
        }
    }
}