﻿using System;
using System.IO;
using System.Threading.Tasks;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbKeywordTest and is intended
    ///     to contain all TmdbKeywordTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbKeywordTest
    {
        /// <summary>
        ///     A test for TmdbKeyword Constructor
        /// </summary>
        [TestMethod]
        public void TmdbKeywordConstructorTest()
        {
            var target = new TmdbKeyword();
            Assert.IsNotNull( target );
        }

        /// <summary>
        ///     A test for Id
        /// </summary>
        [TestMethod]
        public void IdTest()
        {
            var target = new TmdbKeyword();
            int expected = new Random().Next( 0, Int32.MaxValue );
            target.Id = expected;
            int actual = target.Id;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Name
        /// </summary>
        [TestMethod]
        public void NameTest()
        {
            var target = new TmdbKeyword();
            string expected = Guid.NewGuid().ToString();
            string actual;
            target.Name = expected;
            actual = target.Name;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Serialize & Deserialize
        /// </summary>
        [TestMethod]
        [DeploymentItem(@"..\..\TestData\keyword.json.txt")]
        public async Task SerializeDeserializeTest()
        {
            var target = new TmdbKeyword();
            var jsonContent = File.ReadAllText("keyword.json.txt");
            var actual = await target.DeserializeJson<TmdbKeyword>(jsonContent);

            Assert.AreEqual(156792, actual.Id);
            Assert.AreEqual("3d", actual.Name);
        }
    }
}