﻿using System;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbStaffTest and is intended
    ///     to contain all TmdbStaffTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbStaffTest
    {
        /// <summary>
        ///     A test for TmdbStaff Constructor
        /// </summary>
        [TestMethod]
        public void TmdbStaffConstructorTest()
        {
            var target = new TmdbStaff();
            Assert.IsNotNull( target );
        }

        /// <summary>
        ///     A test for Cast
        /// </summary>
        [TestMethod]
        public void CastTest()
        {
            var target = new TmdbStaff();
            var expected = new List<TmdbCastMember>();
            List<TmdbCastMember> actual;
            target.Cast = expected;
            actual = target.Cast;
            Assert.AreSame( expected, actual );
        }

        /// <summary>
        ///     A test for Crew
        /// </summary>
        [TestMethod]
        public void CrewTest()
        {
            var target = new TmdbStaff();
            var expected = new List<TmdbCrewMember>();
            List<TmdbCrewMember> actual;
            target.Crew = expected;
            actual = target.Crew;
            Assert.AreSame( expected, actual );
        }

        /// <summary>
        ///     A test for Id
        /// </summary>
        [TestMethod]
        public void IdTest()
        {
            var target = new TmdbStaff();
            int expected = new Random().Next( 0, Int32.MaxValue );
            int actual;
            target.Id = expected;
            actual = target.Id;
        }

        /// <summary>
        ///     A test for Serialize & Deserialize
        /// </summary>
        [TestMethod]
        public void SerializeDeserializeTest()
        {
            Assert.Inconclusive();
        }
    }
}