﻿using System;
using System.IO;
using System.Threading.Tasks;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbReleaseTest and is intended
    ///     to contain all TmdbReleaseTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbReleaseTest
    {
        /// <summary>
        ///     A test for TmdbRelease Constructor
        /// </summary>
        [TestMethod]
        public void TmdbReleaseConstructorTest()
        {
            var target = new TmdbRelease();
            Assert.IsNotNull( target );
        }

        /// <summary>
        ///     A test for Certification
        /// </summary>
        [TestMethod]
        public void CertificationTest()
        {
            var target = new TmdbRelease();
            string expected = Guid.NewGuid().ToString();
            string actual;
            target.Certification = expected;
            actual = target.Certification;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Iso3166_1
        /// </summary>
        [TestMethod]
        public void Iso3166_1Test()
        {
            var target = new TmdbRelease();
            string expected = Guid.NewGuid().ToString();
            string actual;
            target.Iso3166_1 = expected;
            actual = target.Iso3166_1;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for ReleaseDate
        /// </summary>
        [TestMethod]
        public void ReleaseDateTest()
        {
            var target = new TmdbRelease();
            string expected = Guid.NewGuid().ToString();
            string actual;
            target.ReleaseDate = expected;
            actual = target.ReleaseDate;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Serialize & Deserialize
        /// </summary>
        [TestMethod]
        [DeploymentItem( @"..\..\TestData\release.json.txt" )]
        public async Task SerializeDeserializeTest()
        {
            var target = new TmdbRelease();
            var jsonContent = File.ReadAllText( "release.json.txt" );
            var actual = await target.DeserializeJson<TmdbRelease>( jsonContent );

            Assert.AreEqual( "IT", actual.Iso3166_1 );
            Assert.AreEqual( "VM14", actual.Certification );
            Assert.AreEqual( "1999-10-29", actual.ReleaseDate );
        }
    }
}