﻿using System;
using System.IO;
using System.Threading.Tasks;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbProductionCountryTest and is intended
    ///     to contain all TmdbProductionCountryTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbProductionCountryTest
    {
        /// <summary>
        ///     A test for TmdbProductionCountry Constructor
        /// </summary>
        [TestMethod]
        public void TmdbProductionCountryConstructorTest()
        {
            var target = new TmdbProductionCountry();
            Assert.IsNotNull( target );
        }

        /// <summary>
        ///     A test for Iso3166_1
        /// </summary>
        [TestMethod]
        public void Iso3166_1Test()
        {
            var target = new TmdbProductionCountry();
            string expected = Guid.NewGuid().ToString();
            string actual;
            target.Iso3166_1 = expected;
            actual = target.Iso3166_1;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Name
        /// </summary>
        [TestMethod]
        public void NameTest()
        {
            var target = new TmdbProductionCountry();
            string expected = Guid.NewGuid().ToString();
            string actual;
            target.Name = expected;
            actual = target.Name;
            Assert.AreEqual( expected, actual );
        }


        /// <summary>
        ///     A test for Serialize & Deserialize
        /// </summary>
        [TestMethod]
        [DeploymentItem(@"..\..\TestData\productionCountry.json.txt")]
        public async Task SerializeDeserializeTest()
        {
            var target = new TmdbProductionCountry();
            var jsonContent = File.ReadAllText("productionCountry.json.txt");
            var actual = await target.DeserializeJson<TmdbProductionCountry>(jsonContent);

            Assert.AreEqual("Canada", actual.Name);
            Assert.AreEqual("CA", actual.Iso3166_1);
        }
    }
}