﻿using System;
using System.IO;
using System.Threading.Tasks;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbSpokenLanguageTest and is intended
    ///     to contain all TmdbSpokenLanguageTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbSpokenLanguageTest
    {
        /// <summary>
        ///     A test for TmdbSpokenLanguage Constructor
        /// </summary>
        [TestMethod]
        public void TmdbSpokenLanguageConstructorTest()
        {
            var target = new TmdbSpokenLanguage();
            Assert.IsNotNull( target );
        }

        /// <summary>
        ///     A test for Iso639_1
        /// </summary>
        [TestMethod]
        public void Iso639_1Test()
        {
            var target = new TmdbSpokenLanguage();
            var expected = Guid.NewGuid().ToString();
            target.Iso639_1 = expected;
            var actual = target.Iso639_1;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Name
        /// </summary>
        [TestMethod]
        public void NameTest()
        {
            var target = new TmdbSpokenLanguage();
            string expected = Guid.NewGuid().ToString();
            string actual;
            target.Name = expected;
            actual = target.Name;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Serialize & Deserialize
        /// </summary>
        [TestMethod]
        [DeploymentItem(@"..\..\TestData\spookenLanguage.json.txt")]
        public async Task SerializeDeserializeTest()
        {
            var target = new TmdbSpokenLanguage();
            var jsonContent = File.ReadAllText("spookenLanguage.json.txt");
            var actual = await target.DeserializeJson<TmdbSpokenLanguage>(jsonContent);

            Assert.AreEqual( "en", actual.Iso639_1 );
            Assert.AreEqual("English", actual.Name);
        }
    }
}