﻿using System;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace NTmdb.TestProject
{
    /// <summary>
    ///     This is a test class for TmdbTrailersTest and is intended
    ///     to contain all TmdbTrailersTest Unit Tests
    /// </summary>
    [TestClass]
    public class TmdbTrailersTest
    {
        /// <summary>
        ///     A test for TmdbTrailers Constructor
        /// </summary>
        [TestMethod]
        public void TmdbTrailersConstructorTest()
        {
            var target = new TmdbTrailers();
            Assert.IsNotNull( target );
        }

        /// <summary>
        ///     A test for Id
        /// </summary>
        [TestMethod]
        public void IdTest()
        {
            var target = new TmdbTrailers();
            int expected = new Random().Next( 0, Int32.MaxValue );
            int actual;
            target.Id = expected;
            actual = target.Id;
            Assert.AreEqual( expected, actual );
        }

        /// <summary>
        ///     A test for Quicktime
        /// </summary>
        [TestMethod]
        public void QuicktimeTest()
        {
            var target = new TmdbTrailers();
            var expected = new List<object>();
            List<object> actual;
            target.Quicktime = expected;
            actual = target.Quicktime;
            Assert.AreSame( expected, actual );
        }

        /// <summary>
        ///     A test for Youtube
        /// </summary>
        [TestMethod]
        public void YoutubeTest()
        {
            var target = new TmdbTrailers();
            var expected = new List<TmdbTrailer>();
            List<TmdbTrailer> actual;
            target.Youtube = expected;
            actual = target.Youtube;
            Assert.AreSame( expected, actual );
        }

        /// <summary>
        ///     A test for Serialize & Deserialize
        /// </summary>
        [TestMethod]
        public void SerializeDeserializeTest()
        {
            Assert.Inconclusive();
        }
    }
}