﻿using System;
using Newtonsoft.Json;

namespace NTmdb
{
    /// <summary>
    ///     Class representing a limited set of information about a movie.
    /// </summary>
    /// <remarks>
    ///     Used for the movie list property of a company.
    /// </remarks>
    public class TmdbAdvancedMoviePreview : TmdbMoviePreview
    {
        /// <summary>
        ///     Gets or sets a value indicating whether the movie contains adult content or not.
        /// </summary>
        /// <value>A value indicating whether the movie contains adult content or not.</value>
        [JsonProperty(PropertyName = "adult")]
        public Boolean IsAdult { get; set; }

        /// <summary>
        ///     Gets or sets the popularity of the movie.
        /// </summary>
        /// <value>The popularity of the movie.</value>
        [JsonProperty(PropertyName = "popularity")]
        public Double Popularity { get; set; }
    }
}