﻿using System.Collections.Generic;
using Newtonsoft.Json;

namespace NTmdb
{
    /// <summary>
    ///     Class representing a list of advanced movie previews.
    /// </summary>
    /// <remarks>
    ///     Details: 
    ///     http://docs.themoviedb.apiary.io/#get-%2F3%2Fcompany%2F%7Bid%7D%2Fmovies
    ///     http://docs.themoviedb.apiary.io/#companies
    /// </remarks>
    public class TmdbAdvancedMoviePreviewList : TmdbListBase
    {
        /// <summary>
        ///     Gets or sets the movies.
        /// </summary>
        /// <value>The movies.</value>
        [JsonProperty(PropertyName = "results")]
        public List<TmdbAdvancedMoviePreview> Movies { get; set; }
    }
}