﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace NTmdb
{
    /// <summary>
    ///     Class representing the TMDb configuration.
    /// </summary>
    /// <remarks>
    ///     Details: http://docs.themoviedb.apiary.io/#configuration
    /// </remarks>
    [DataContract]
    public class TmdbConfiguration : JsonModelBase<TmdbConfiguration>
    {
        #region Properties

        /// <summary>
        ///     Gets or sets the TMDb's image configuration.
        /// </summary>
        /// <value>The TMDb's image configuration.</value>
        [DataMember( Name = "images" )]
        public TmdbImageConfiguration ImageConfiguration { get; set; }

        /// <summary>
        ///     Gets or sets a list of all change keys of the TMDb.
        /// </summary>
        /// <value>A list of all change keys of the TMDb.</value>
        [DataMember( Name = "change_keys" )]
        public List<String> ChangeKeys { get; set; }

        #endregion
    }
}