﻿using System;

namespace NTmdb
{
    /// <summary>
    /// Represent the result of a TMDb method.
    /// </summary>
    /// <typeparam name="T">The type of the result.</typeparam>
    public class TmdbResult<T>
    {
        /// <summary>
        /// Gets or sets the result.
        /// </summary>
        /// <value>The result, or null if the method has thrown an exception.</value>
        public T Result { get; set; }

        /// <summary>
        ///     Gets or sets the exception which is occurred during the method call.
        ///     (If one is occurred).
        /// </summary> 
        /// <value>The error occurred during the method call, or null.</value>
        public Exception Error { get; set; }
    }
}